=== debian/control ===
# $Id: control 240 2009-06-22 18:01:02Z bradsmith $

Source: inspircd
Section: net
Priority: optional
Maintainer: Debian IRC Team <pkg-irc-maintainers@lists.alioth.debian.org>
Uploaders: Darren Blaber <dmbtech@gmail.com>,
  Mario Iseli <mario@debian.org>,
  Matt Arnold <mattarnold5@gmail.com>,
  Giacomo Catenazzi <cate@debian.org>,
  Bradley Smith <bradsmith@debian.org>
Build-Depends: debhelper (>= 7), perl-modules, libgnutls-dev, pkg-config
Standards-Version: 3.8.2
Homepage: http://www.inspircd.org/
Vcs-Svn: svn://svn.debian.org/pkg-irc/packages/inspircd/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-irc/packages/inspircd/trunk/

Package: inspircd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ircd
Description: Modular IRCd written in C++
 InspIRCd is a modular C++ IRC Daemon for several operating systems created
 to provide a stable, modern, lightweight irc server from scratch and provide
 a vast number of features in a modularised form using an advanced module API.
 By keeping the functionality of the main core to a minimum, the server is very
 stable, fast and customizable.
 .
 This package contains the daemon.

Package: inspircd-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, inspircd
Priority: extra
Description: Modular IRCd written in C++ - debugging symbols
 InspIRCd is a modular C++ IRC Daemon for several operating systems created
 to provide a stable, modern, lightweight irc server from scratch and provide
 a vast number of features in a modularised form using an advanced module API.
 By keeping the functionality of the main core to a minimum, the server is very
 stable, fast and customizable.
 .
 This package contains the debugging symbols.
