=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
http://sf.net/inspircd/InspIRCd-([\d\.]+)\.tar\.bz2
