## inspircd 2.0.5

=== debian/changelog ===
inspircd (2.0.5-1) unstable; urgency=low

  * debian/patches/04_FTBFS_kfreebsd.diff: Fix FTBFS on kfreebsd,
    thanks Christoph Egger (Closes: #668689)
  * debian/patches/05_FTBFS_gcc-4.7.diff: Fix FTBFS with gcc-4.7,
    include <unistd.h>
  * debian/watch: Update to github since upstream has moved the project

 -- Guillaume Delacour <gui@iroqwa.org>  Sun, 15 Apr 2012 17:35:01 +0200

inspircd (2.0.5-0.1) unstable; urgency=low

  [ Guillaume Delacour ]
  * Add myself to uploaders.
  * Remove Mario Iseli to uploaders (officially MIA)
  * New upstream release (Closes: #545233, #519910, #620960, #641299)
  * debian/rules:
    + Use hardening build options (DEB_BUILD_HARDENING)
    + Use debhelper 8 template
    + Delete unrecognized option "disable-rpath" on configure
    + Add support for all DFSG extra modules
      (mysql, sqlite, pgsql, ldap, pcre, geoip)
      (Closes: #539569)
    + Allow parallel build through DEB_BUILD_OPTIONS
    + Don't remove docs/rfc in upstream tarball as the files are not installed
  * debian/compat: Use debhelper version 8
  * debian/control:
    + Bump to Standards-Version 3.9.2 (no changes needed)
    + Switch to dpkg-source 3.0 (quilt) format and drop dpatch Build-Depends
    + Build-Depend on extra modules libraries: libldap2-dev, libpcre3-dev, 
      libmysqlclient-dev, libpq-dev, libsqlite3-dev, libssl-dev, zlib1g-dev, 
      libgeoip-dev, libtre-dev and split to 80 columns
    + Build-Depends on hardening-wrapper
    + Build-Depends on debhelper >= 8.0.0
    + Depends on lsb-base (debian/inspircd.init)
    + Suggests sqlite3, mysql-server, ldap-server, postgresql, gnutls-bin
    + Remove ${shlibs:Depends} and add (= ${binary:Version}) for debugging 
      symbols package
    + Change Vcs-{Svn,Browser}, point to inspircd2 repository
  * debian/patches:
    - 01_fix_config_reload.dpatch: drop old upstream patch
    - 02_fix_gnutls_config.dpatch: drop old upstream patch
    - 03_use_pkg-config_gnutls.dpatch: drop old upstream patch
    - 04_gcc44_fixes.dpatch: drop old upstream patch
    + 01_spelling_error.diff: fix some spelling errors in modules
    + 02_disable_rpath_for_extra_modules.diff: disable rpath for modules
  * debian/inspircd.examples:
    + Upstream examples files are now in docs/
    + Provide upstream databases schemas examples
  * debian/inspircd.init:
    + Source /lib/lsb/init-functions and add status parameter
    + Add dependency on $remote_fs in Required-St{art,op}
    + Modify IRCDARGS to load /etc/inspircd/inspircd.conf
    + Delete unnecessary spaces
  * debian/README.Debian: Delete unnecessary spaces
  * debian/inspircd.install: Copy configuration files to the right place
  * debian/inspircd.1:
    + Fix path of configuration file
    + Delete unnecessary spaces
  * debian/watch: update url to project website (SF not up2date)
  * debian/README.source: use quilt to patch
  * debian/inspircd.postrm: Don't remove /etc/inspircd as it may contains
    locally added files
  * debian/inspircd.conf: Update proposed default configuration due to
    upstream changes (tags security, performance and log), line break to 80
    and load absolute path for /etc/inspircd/inspircd.{motd,rules}

  [ Jonathan Wiltshire ]
  * Non-maintainer upload.
    This is really sponsorship with an added patch, but technically still 
    an NMU.
  * Patch 03_CVE-2012-1836: protect against buffer overflow vulnerability
    in src/dns.cpp (merge from upstream)
    Closes: #667914 CVE-2012-1836

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 07 Apr 2012 22:25:39 +0100
