=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
-# $Id: control 240 2009-06-22 18:01:02Z bradsmith $
-
+# $Id: control 267 2010-11-30 11:38:09Z kcd-guest $
 Source: inspircd
 Section: net
 Priority: optional
@@ -8,16 +7,21 @@
   Mario Iseli <mario@debian.org>,
   Matt Arnold <mattarnold5@gmail.com>,
   Giacomo Catenazzi <cate@debian.org>,
-  Bradley Smith <bradsmith@debian.org>
-Build-Depends: debhelper (>= 7), perl-modules, libgnutls-dev, pkg-config
-Standards-Version: 3.8.2
+  Bradley Smith <bradsmith@debian.org>,
+  Guillaume Delacour <gui@iroqwa.org>
+Build-Depends: debhelper (>= 8.0.0), perl-modules, libgnutls-dev, pkg-config,
+               libldap2-dev, libpcre3-dev, libmysqlclient-dev, libpq-dev,
+               libsqlite3-dev, libssl-dev, zlib1g-dev, libgeoip-dev,
+               libtre-dev, hardening-wrapper
+Standards-Version: 3.9.2
 Homepage: http://www.inspircd.org/
-Vcs-Svn: svn://svn.debian.org/pkg-irc/packages/inspircd/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-irc/packages/inspircd/trunk/
+Vcs-Svn: svn://svn.debian.org/pkg-irc/packages/inspircd2/trunk/
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-irc/packages/inspircd2/trunk/
 
 Package: inspircd
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
+Suggests: sqlite3, mysql-server, ldap-server, postgresql, gnutls-bin
 Provides: ircd
 Description: Modular IRCd written in C++
  InspIRCd is a modular C++ IRC Daemon for several operating systems created
@@ -31,7 +35,7 @@
 Package: inspircd-dbg
 Architecture: any
 Section: debug
-Depends: ${shlibs:Depends}, ${misc:Depends}, inspircd
+Depends: ${misc:Depends}, inspircd (= ${binary:Version})
 Priority: extra
 Description: Modular IRCd written in C++ - debugging symbols
  InspIRCd is a modular C++ IRC Daemon for several operating systems created
