=== debian/changelog ===
inspircd (2.0.16-2) unstable; urgency=medium

  * To re-enable hardening flags:
    + Replace DEB_BUILD_HARDENING by DEB_BUILD_MAINT_OPTIONS to enable
      dpkg-buildflags without pie
    + debian/patches/01_dpkg-buildflags_support.diff: Patch upstream Makefile
      template to use CPPFLAGS and custom LDFLAGS, CXXFLAGS; enable PIE on
      inspircd binary only as libraries already compiled with PIC

 -- Guillaume Delacour <gui@iroqwa.org>  Sun, 20 Jul 2014 23:23:42 +0200

inspircd (2.0.16-1) unstable; urgency=low

  [ Guillaume Delacour ]
  * New upstream release (Closes: #724874), enable m_regex_stdlib new module
    and repack tarball to remove docs/rfc/{rfc1035.txt,rfc1413.txt,rfc1459.txt}
    as i re-introduce them a few years ago. Upstream removes dir at 7fea7c24c5
  * Drop patches accepted upstream:
    + debian/patches/01_spelling_error.diff
    + debian/patches/03_CVE-2012-1836.diff (cherry-picked)
    + debian/patches/04_FTBFS_kfreebsd.diff
    + debian/patches/05_FTBFS_gcc-4.7.diff
  * debian/docs: docs/README has moved to README.md
  * debian/inspircd.examples: examples are now in docs/conf
  * Bump debhelper compat to 9
  * Remove Bradley Smith as uploaders (Closes: #674890)
  * debian/watch: update based on sepwatch
  * Add systemd support:
    + Build-Depends on dh-systemd (>= 1.5)
    + Add debian/inspircd.service, debian/inspircd.tmpfile to create
      /run/inspircd directory at boot time
    + debian/rules: call generic dh with "--with systemd"
  * debian/control:
    + Change Vcs-{Svn,Browser}, point to anonscm.debian.org and
    bump to Standards-Version 3.9.5 (no changes needed)
    + Drop Build-Depends on hardening-wrapper since dpkg-buildflags now
    returns hardening build flags by default (already enabled in debian/rules)
  * debian/patches/02_disable_rpath_for_extra_modules.diff: Refresh according
    upstream modules changes
  * debian/copyright: make it machine-readable
  * debian/rules: compile binary with debuginfo as upstream don't
    generate it by default; dh_strip overrided to generate a -dbg package

  [ Andreas Metzler ]
  * Build with debug symbols and optimization by using "make D=2 all" instead
    of "make debug"; dh_strip overrided to generate a -dbg package
  * 05_gnutls_crypt_api_instead_gcrypt.diff Apply/unfuzz upstream's
    690c372f6ef246b43b477e3685c8e716431427ad to get rid of the dependency on
    libgcrypt.
  * Build against gnutls v3. Closes: #745948
  * Show compiler commandline when building. As a nice side effect this
    actually lets ccache speed up the build.
  * Drop PIDFile entry from systemd service file, it should not be necessary
    for the non-forking case.
  * Mimic init-file trickery in inspircd.tmpfile. Pre-generate both pidfile
    and logfile with correct user/permissions. The daemon cannot do so, since
    it is lacking write permissions in /var/run and /var/log. Remove pidfile
    in postrm purge.

 -- Guillaume Delacour <gui@iroqwa.org>  Wed, 16 Jul 2014 21:49:08 +0200
