=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,9 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-# hardening options at build time
-export DEB_BUILD_HARDENING=1
+# hardening options at build time, without PIE enabled globally
+# enable PIE on inspircd binary only in upstream build system
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 
 # use DEB_BUILD_OPTIONS="parallel=n" to parallelize the build
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -13,7 +14,7 @@
 # modules selection
 LDAP_MODULES      = m_ldapauth.cpp,m_ldapoper.cpp
 DATABASES_MODULES = $(LDAP_MODULES),m_mysql.cpp,m_pgsql.cpp,m_sqlite3.cpp
-REGEX_MODULES     = m_regex_pcre.cpp,m_regex_posix.cpp,m_regex_tre.cpp
+REGEX_MODULES     = m_regex_pcre.cpp,m_regex_posix.cpp,m_regex_tre.cpp,m_regex_stdlib.cpp
 OTHER_MODULES     = $(REGEX_MODULES),m_geoip.cpp
 SSL_MODULE        = m_ssl_gnutls.cpp
 INSPIRCD_MODULES  = $(SSL_MODULE),$(DATABASES_MODULES),$(OTHER_MODULES)
@@ -32,14 +33,19 @@
 
 # allow parallel build
 override_dh_auto_build:
-	dh_auto_build --parallel
+	# compile binary with debuginfo and optimization (make D=2 all) as upstream
+	# don't generate symbols by default. dh_strip generate a -dbg package
+	# (see below)
+	# show compiler commandline when building,
+	# ccache can use it to speed the build (V=1)
+	dh_auto_build --parallel -- D=2 V=1 all
 
 # install
 override_dh_auto_install:
 	dh_auto_install -- install DESTDIR=$(CURDIR)/debian/inspircd
 
 	# Delete example files (already in /usr/share/doc/inspircd/examples)
-	rm -f $(CURDIR)/debian/inspircd/etc/inspircd/*.example
+	rm -rf $(CURDIR)/debian/inspircd/etc/inspircd/examples
 
 	# delete empty data and log dir
 	rmdir $(CURDIR)/debian/inspircd/usr/lib/inspircd/data \
@@ -60,4 +66,4 @@
 	rm -f $(CURDIR)/inspircd
 
 %:
-	dh $@
+	dh $@ --with systemd
