## inspircd 2.0.17

=== debian/changelog ===
inspircd (2.0.17-1+deb8u2) jessie-security; urgency=high

  * m_sasl: don't allow AUTHENTICATE with mechanisms with a space
    (CVE-2016-7142)

 -- Guillaume Delacour <gui@iroqwa.org>  Tue, 06 Sep 2016 01:58:19 +0200

inspircd (2.0.17-1+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * Reject replies to DNS PTR requests that contain invalid characters
    (CVE-2015-8702)
 
 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 22 Mar 2016 18:03:02 +0100

inspircd (2.0.17-1) unstable; urgency=medium

  * New upstream release
  * Refresh debian/patches/03_gnutls_crypt_api_instead_gcrypt.diff and
    cherry-pick upstream fix to use gnutls_rnd instead of gcry_randomize
  * Refresh debian/patches/02_disable_rpath_for_extra_modules.diff
   to only patch m_mysql as upstream use a DISABLE_RPATH environnement
   variable that disable rpath in all other modules

 -- Guillaume Delacour <gui@iroqwa.org>  Fri, 05 Sep 2014 18:05:19 +0200
