=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
   Giacomo Catenazzi <cate@debian.org>,
   Bradley Smith <bradsmith@debian.org>,
   Guillaume Delacour <gui@iroqwa.org>
-Build-Depends: debhelper (>= 8.0.0), perl-modules, libgnutls-dev, pkg-config,
+Build-Depends: debhelper (>= 9.0.0), perl-modules, libgnutls28-dev, pkg-config,
                libldap2-dev, libpcre3-dev, libmysqlclient-dev, libpq-dev,
-               libsqlite3-dev, libssl-dev, zlib1g-dev, libgeoip-dev,
-               libtre-dev, hardening-wrapper
-Standards-Version: 3.9.2
+               libsqlite3-dev, zlib1g-dev, libgeoip-dev,
+               libtre-dev, dh-systemd (>= 1.5)
+Standards-Version: 3.9.5
 Homepage: http://www.inspircd.org/
-Vcs-Svn: svn://svn.debian.org/pkg-irc/packages/inspircd2/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-irc/packages/inspircd2/trunk/
+Vcs-Svn: svn://anonscm.debian.org/pkg-irc/packages/inspircd2/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-irc/packages/inspircd2/trunk/
 
 Package: inspircd
 Architecture: any
