=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 override_dh_auto_configure:
 	# Enable extra modules
-	./configure --enable-extras=$(INSPIRCD_MODULES)
+	DISABLE_RPATH=yes ./configure --enable-extras=$(INSPIRCD_MODULES)
 
 	# Really launch configure
 	./configure --disable-interactive \
