## inspircd 2.0.20

=== win/CMakeLists.txt ===
--- 
+++ 
@@ -99,7 +99,7 @@
 	set(CPACK_NSIS_MUI_UNIICON "${INSPIRCD_BASE}/win\\\\inspircd.ico")
 	set(CPACK_NSIS_INSTALLED_ICON_NAME "inspircd.exe")
 	set(CPACK_NSIS_URL_INFO_ABOUT "http://www.inspircd.org/")
-	set(CPACK_NSIS_COMPRESSOR "/SOLID lzma")
+	set(CPACK_NSIS_COMPRESSOR "/SOLID zlib")
 
 	include(CPack)
 endif(EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")
