=== debian/changelog ===
inspircd (2.0.20-5build2) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:26:07 +0000

inspircd (2.0.20-5build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:25:50 +0000

inspircd (2.0.20-5) unstable; urgency=medium

  * Replace deprecated POSIX::tmpnam() call by File::Temp::tmpnam()
    because perl >= 5.22 deprecated it (Closes: #809008)

 -- Guillaume Delacour <gui@iroqwa.org>  Mon, 28 Dec 2015 16:22:59 +0100

inspircd (2.0.20-4) unstable; urgency=medium

  * Generate new inspircd-dev package to provide development headers in
    /usr/include/inspircd (Closes: #800650)

 -- Guillaume Delacour <gui@iroqwa.org>  Wed, 11 Nov 2015 14:55:17 +0100

inspircd (2.0.20-3) unstable; urgency=medium

  * Fix FTBFS on kfreebsd which looks for clang++ by always defining CXX to
    g++ (unless already defined, let clang rebuilds) and pass it to configure
  * Tests:
    + debian/tests/control: needs root, enable inspircd and start inspircd
    before testing it
    + Remove XS-Testsuite control header (Testsuite automatically generated)

 -- Guillaume Delacour <gui@iroqwa.org>  Sun, 07 Jun 2015 12:26:46 +0200

inspircd (2.0.20-2) unstable; urgency=medium

  [ Guillaume Delacour ]
  * Reproducible builds:
    + 04_reproducible_builds.diff: Fix version don't set revision with unrelated
    git packaging tags and only use kernel name (no hostname or	release)
    + Set uid of irc user at configure time

  [ Matt Arnold ]
  * Add AppArmor profile, Thanks LaMont Jones (LP: #1456783)
  * Update my email address, previous is unusable due to spam

 -- Guillaume Delacour <gui@iroqwa.org>  Sat, 30 May 2015 15:53:33 +0200

inspircd (2.0.20-1) unstable; urgency=medium

  * New upstream release, drop 03_gnutls_crypt_api_instead_gcrypt.diff
  * 04_reproducible_builds.diff: Remove message containing __{DATE,TIME}__ to do
    reproducible builds and doesn't give such information to user
  * Bump to Standards-Version 3.9.6 (no changes needed)
  * Enable autopkgtest suite and provide minimal test client.pl
  * Change Vcs-{Browser,Git}, as the packaging have been migrated to git
  * Remove obsolete debian/README.source file

 -- Guillaume Delacour <gui@iroqwa.org>  Tue, 26 May 2015 20:54:00 +0200

inspircd (2.0.17-2) unstable; urgency=medium

  * Use an integer instead of seconds when calling sleep in initscript
    (Closes: #772337)

 -- Guillaume Delacour <gui@iroqwa.org>  Sat, 06 Dec 2014 16:08:35 +0100
