=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
-# $Id: control 267 2010-11-30 11:38:09Z kcd-guest $
 Source: inspircd
 Section: net
 Priority: optional
 Maintainer: Debian IRC Team <pkg-irc-maintainers@lists.alioth.debian.org>
 Uploaders: Darren Blaber <dmbtech@gmail.com>,
   Mario Iseli <mario@debian.org>,
-  Matt Arnold <mattarnold5@gmail.com>,
+  Matt Arnold <adeodatus@sdf.org>,
   Giacomo Catenazzi <cate@debian.org>,
   Bradley Smith <bradsmith@debian.org>,
   Guillaume Delacour <gui@iroqwa.org>
 Build-Depends: debhelper (>= 9.0.0), perl-modules, libgnutls28-dev, pkg-config,
                libldap2-dev, libpcre3-dev, libmysqlclient-dev, libpq-dev,
                libsqlite3-dev, zlib1g-dev, libgeoip-dev,
-               libtre-dev, dh-systemd (>= 1.5)
-Standards-Version: 3.9.5
+               libtre-dev, dh-systemd (>= 1.5), dh-apparmor
+Standards-Version: 3.9.6
 Homepage: http://www.inspircd.org/
-Vcs-Svn: svn://anonscm.debian.org/pkg-irc/packages/inspircd2/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-irc/packages/inspircd2/trunk/
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/inspircd.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/inspircd.git
 
 Package: inspircd
 Architecture: any
@@ -45,3 +44,15 @@
  stable, fast and customizable.
  .
  This package contains the debugging symbols.
+
+Package: inspircd-dev
+Architecture: any
+Depends: ${misc:Depends}
+Description: Modular IRCd written in C++ - development headers
+ InspIRCd is a modular C++ IRC Daemon for several operating systems created
+ to provide a stable, modern, lightweight irc server from scratch and provide
+ a vast number of features in a modularised form using an advanced module API.
+ By keeping the functionality of the main core to a minimum, the server is very
+ stable, fast and customizable.
+ .
+ This package contains the development headers for developing modules.
