## inspircd 2.0.21

=== debian/changelog ===
inspircd (2.0.21-1ubuntu1) yakkety; urgency=medium

  * Fix ldapauth when given PASS=user:pass  LP: #1428209
    + 10_fix_ldapauth_userpass.diff
  * ldapauth logging enhancements LP: #1437044
    + 15_ldapauth_logging.diff
  * Support logrotate, by reopening log files on rehash (SIGHUP)  LP: #1437030
    + 20_close-open-logs-on-rehash.diff

 -- LaMont Jones <lamont@canonical.com>  Fri, 06 May 2016 07:18:48 -0600

inspircd (2.0.21-1) unstable; urgency=medium

  * New upstream release, drop picked 05_posix-tmpnam.diff
  * Bump standards version, no changes needed
  * Change Vcs-{Browser,Git} to use https instead of http/git
  * Fix spelling-error-in-binary in m_spanningtree.so
  * Override lintian hardening fortify for cmd_time.so does not use
    fortify functions

 -- Guillaume Delacour <gui@iroqwa.org>  Sun, 28 Feb 2016 10:43:21 +0100
