=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: inspircd
 Section: net
 Priority: optional
-Maintainer: Debian IRC Team <pkg-irc-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian IRC Team <pkg-irc-maintainers@lists.alioth.debian.org>
 Uploaders: Darren Blaber <dmbtech@gmail.com>,
   Mario Iseli <mario@debian.org>,
   Matt Arnold <adeodatus@sdf.org>,
@@ -12,10 +13,10 @@
                libldap2-dev, libpcre3-dev, libmysqlclient-dev, libpq-dev,
                libsqlite3-dev, zlib1g-dev, libgeoip-dev,
                libtre-dev, dh-systemd (>= 1.5), dh-apparmor
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://www.inspircd.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/inspircd.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/inspircd.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/inspircd.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/inspircd.git
 
 Package: inspircd
 Architecture: any
