=== debian/changelog ===
inspircd (2.0.23-2ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + 10_fix_ldapauth_userpass.diff
    + 15_ldapauth_logging.diff
    + 20_close-open-logs-on-rehash.diff

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 15 Dec 2016 08:57:15 +0100

inspircd (2.0.23-2) unstable; urgency=medium

  * Team upload
  * Switch to default-libmysqlclient-dev and default-mysql-server metapackage.
    Closes: #845855

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 12 Dec 2016 23:48:44 +0100

inspircd (2.0.23-1) unstable; urgency=medium

  * New upstream release, fixes a serious security vulnerability in m_sasl

 -- Guillaume Delacour <gui@iroqwa.org>  Tue, 06 Sep 2016 00:04:38 +0200

inspircd (2.0.22-1) unstable; urgency=medium

  * New upstream release, drop merged upstream 05_spelling_errors.diff
  * Build-Depend on perl instead of perl-modules
  * Set Documentation key to inspircd(1) for systemd unit file
  * Bump standards version, no changes needed

 -- Guillaume Delacour <gui@iroqwa.org>  Sun, 21 Aug 2016 18:54:22 +0200
