=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
   Giacomo Catenazzi <cate@debian.org>,
   Bradley Smith <bradsmith@debian.org>,
   Guillaume Delacour <gui@iroqwa.org>
-Build-Depends: debhelper (>= 9.0.0), perl-modules, libgnutls28-dev, pkg-config,
-               libldap2-dev, libpcre3-dev, libmysqlclient-dev, libpq-dev,
+Build-Depends: debhelper (>= 9.0.0), perl, libgnutls28-dev, pkg-config,
+               libldap2-dev, libpcre3-dev, default-libmysqlclient-dev, libpq-dev,
                libsqlite3-dev, zlib1g-dev, libgeoip-dev,
                libtre-dev, dh-systemd (>= 1.5), dh-apparmor
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://www.inspircd.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/inspircd.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/inspircd.git
@@ -21,7 +21,7 @@
 Package: inspircd
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
-Suggests: sqlite3, mysql-server, ldap-server, postgresql, gnutls-bin
+Suggests: sqlite3, default-mysql-server, ldap-server, postgresql, gnutls-bin
 Provides: ircd
 Description: Modular IRCd written in C++
  InspIRCd is a modular C++ IRC Daemon for several operating systems created
