=== debian/changelog ===
inspircd (2.0.24-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + 15_ldapauth_logging.diff
    + 20_close-open-logs-on-rehash.diff
  * Drop changes included in new release:
    + 10_fix_ldapauth_userpass.diff

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Aug 2017 15:30:35 +0200

inspircd (2.0.24-1) unstable; urgency=high

  * Team upload
  * New upstream version 2.0.24. Closes: #853455
  * Fix filename in shipped MOTD file. Closes: #870851
  * Remove Darren Blaber from the uploaders list. Closes: #858652

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 10 Aug 2017 17:18:09 +0200

inspircd (2.0.23-3) UNRELEASED; urgency=medium

  * tests: Add alarm and respond to PING
  * debian/inspircd.conf: Don't log twice (Closes: #857758)
  * Remove Bradley Smith as uploader (Closes: #674890)

 -- Guillaume Delacour <gui@iroqwa.org>  Tue, 21 Mar 2017 23:45:33 +0100
