=== debian/control ===
--- 
+++ 
@@ -3,11 +3,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian IRC Team <pkg-irc-maintainers@lists.alioth.debian.org>
-Uploaders: Darren Blaber <dmbtech@gmail.com>,
-  Mario Iseli <mario@debian.org>,
+Uploaders: Mario Iseli <mario@debian.org>,
   Matt Arnold <adeodatus@sdf.org>,
   Giacomo Catenazzi <cate@debian.org>,
-  Bradley Smith <bradsmith@debian.org>,
   Guillaume Delacour <gui@iroqwa.org>
 Build-Depends: debhelper (>= 9.0.0), perl, libgnutls28-dev, pkg-config,
                libldap2-dev, libpcre3-dev, default-libmysqlclient-dev, libpq-dev,
