=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,10 @@
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	MAKEFLAGS += -j$(NUMJOBS)
 endif
+
+# upstream detect FreeBSD platforms and switch to clang++, force CXX to g++ if
+# undefined (possible to rebuild the package whith another compiler)
+CXX ?= g++
 
 # modules selection
 LDAP_MODULES      = m_ldapauth.cpp,m_ldapoper.cpp
@@ -25,6 +29,8 @@
 
 	# Really launch configure
 	./configure --disable-interactive \
+		--with-cc=$(CXX) \
+		--uid=$(shell id --user irc) \
 		--enable-gnutls \
 		--prefix=/usr/lib/inspircd \
 		--config-dir=/etc/inspircd \
@@ -50,6 +56,12 @@
 	# delete empty data and log dir
 	rmdir $(CURDIR)/debian/inspircd/usr/lib/inspircd/data \
 	$(CURDIR)/debian/inspircd/usr/lib/inspircd/logs
+	
+	# Add AppArmor profile
+	cp $(CURDIR)/debian/apparmor-profile \
+		$(CURDIR)/debian/inspircd/etc/apparmor.d/usr.sbin.inspircd
+	dh_apparmor --profile-name=usr.sbin.inspircd -pinspircd
+
 
 # debugging symbols package
 override_dh_strip:
