=== debian/tests/control ===
Tests: start.sh client.pl
Depends: inspircd
Restrictions: needs-root
